NX Open C++ Reference Guide
|
Represents a CAE::NodeAlignBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateNodeAlignBuilder
Created in NX5.0.0.
More...
Public Member Functions | |
bool | MidNodeMove () |
Returns the mid node move Created in NX5.0.0. | |
NXOpen::CAE::SelectFENodeList * | Node () |
Returns the node Created in NX5.0.0. | |
NXOpen::CAE::SelectFENode * | Point1 () |
Returns the point1 of line Created in NX5.0.0. | |
NXOpen::CAE::SelectFENode * | Point2 () |
Returns the point2 of line Created in NX5.0.0. | |
void | SetMidNodeMove (bool midNodeMove) |
Sets the mid node move Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::NodeAlignBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateNodeAlignBuilder
Created in NX5.0.0.
bool NXOpen::CAE::NodeAlignBuilder::MidNodeMove | ( | ) |
Returns the mid node move
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectFENodeList* NXOpen::CAE::NodeAlignBuilder::Node | ( | ) |
Returns the node
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectFENode* NXOpen::CAE::NodeAlignBuilder::Point1 | ( | ) |
Returns the point1 of line
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectFENode* NXOpen::CAE::NodeAlignBuilder::Point2 | ( | ) |
Returns the point2 of line
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::NodeAlignBuilder::SetMidNodeMove | ( | bool | midNodeMove | ) |
Sets the mid node move
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
midNodeMove | midnodemove |